org.optaplanner.persistence.xstream.api.score.buildin.hardsoftdouble

## Class HardSoftDoubleScoreXStreamConverter

- java.lang.Object
- - org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter
  - - org.optaplanner.persistence.xstream.api.score.buildin.hardsoftdouble.HardSoftDoubleScoreXStreamConverter

- All Implemented Interfaces:
    com.thoughtworks.xstream.converters.Converter, com.thoughtworks.xstream.converters.ConverterMatcher

  Deprecated.
  Double-based scores are deprecated as floating point numbers can't represent a decimal number correctly.

      @Deprecated
      public class HardSoftDoubleScoreXStreamConverter
      extends AbstractScoreXStreamConverter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HardSoftDoubleScoreXStreamConverter()` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canConvert(Class type)` Deprecated.
    `void` | `marshal(Object scoreObject, com.thoughtworks.xstream.io.HierarchicalStreamWriter writer, com.thoughtworks.xstream.converters.MarshallingContext context)` Deprecated.
    `Object` | `unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader, com.thoughtworks.xstream.converters.UnmarshallingContext context)` Deprecated.

    - ### Methods inherited from class org.optaplanner.persistence.xstream.api.score.AbstractScoreXStreamConverter

      `registerScoreConverters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HardSoftDoubleScoreXStreamConverter

          public HardSoftDoubleScoreXStreamConverter()

      Deprecated.

  - ### Method Detail

    - #### canConvert

          public boolean canConvert(Class type)

      Deprecated.

    - #### marshal

          public void marshal(Object scoreObject,
                              com.thoughtworks.xstream.io.HierarchicalStreamWriter writer,
                              com.thoughtworks.xstream.converters.MarshallingContext context)

      Deprecated.

    - #### unmarshal

          public Object unmarshal(com.thoughtworks.xstream.io.HierarchicalStreamReader reader,
                                  com.thoughtworks.xstream.converters.UnmarshallingContext context)

      Deprecated.

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.